version: 1.0
configuration:
  has_webserver: true
  scoring:
    command: yarn install && rm -rf ./junit.xml && ./node_modules/.bin/react-scripts test --watchAll=false --verbose --env=jsdom --testResultsProcessor ./node_modules/jest-junit
    files:
      - junit.xml
  readonly_paths:
    - src/App.test.js
  ide_config:
    default_open_files:
      - src/App.js
    project_menu:
      run: yarn start
      install: yarn install
      test: yarn test
